
function onclickJoin(type, keyword) {
    let user_id = document.getElementById('user_id')
    let user_pw = document.getElementById('user_pw')
    let user_pw_check = document.getElementById('user_pw_check')
    let user_name = document.getElementById('user_name')
    let user_email = document.getElementById('user_email')
    var fields = [user_id,user_pw, user_pw_check, user_name, user_email]
    var hasValues = true
    const spPattern = /[~!@#$%<>^&*]/; //특수문자
    const korean = /[ㄱ-ㅎ|ㅏ-ㅣ|가-힣]/; //한글
    const eng = /[a-zA-Z]/; //영어
    const numbers = /[0-9]/; //숫자
    const email = /[A-za-z0-9\-][A-Za-z0-9_.\-]+@[A-za-z0-9\-][A-Za-z0-9\-]+\.[A-za-z0-9\-][A-za-z0-9\-]+/;
    fields.forEach(function (field , idx , all) {
        if ((field.value.length > 7 ||
                (field===user_name && user_name.value.length > 2) ||
                (field===user_id && user_id.value.length > 6)) &&
            hasValues) {
            const text = field.value
            switch (field) {
                case user_id :
                    if (korean.test(text)) {
                        hasValues = false
                        alert("id를 확인 해보슈.");
                    }
                    break;
                case user_pw :
                    if (
                        korean.test(text) ||
                        false === numbers.test(text) ||
                        false === eng.test(text) ||
                        false === spPattern.test(text)
                    ) {
                        hasValues = false
                        alert("pw 한글 노노 영문 숫자 특문(~!@#$%<>^&*) 섞으셈.");
                    }
                    break
                case user_email : if(false === email.test(field.value)) {
                    hasValues = false
                    alert("email를 확인 해보슈.");
                }
                    break
            }
        } else if (hasValues) {
            hasValues = false
            switch (field) {
                case user_id : alert("id를 확인 해보슈.");break
                case user_pw : alert("pw를 확인 해보슈.");break
                case user_pw_check : alert("pw를 확인 해보슈.");break
                case user_name : alert("name를 확인 해보슈.");break
                case user_email : alert("email를 확인 해보슈.");break
            }
        }
    })
    if (hasValues) {
        let data = {
            'user_id': user_id.value,
            'user_pw': user_pw.value,
            'user_email': user_email.value,
            'user_name': user_name.value
        }
        if (user_pw.value === user_pw_check.value) {
            if(confirm(JSON.stringify(data) + "\n해당 내용으로\n유저 등록 하실??")) {
                post("joinUser.bjx",type,JSON.stringify(data),keyword, function (resultData) {
                    alert(resultData)
                })
            } else {

            }
        } else {
            alert("비번이 다름요")
        }
    }
}


